import { AfterViewInit, ElementRef, EventEmitter, OnChanges, OnInit, TemplateRef } from '@angular/core';
import { Option } from './option';
import { OptionList } from './option-list';
import * as i0 from "@angular/core";
export declare class SelectDropdownComponent implements AfterViewInit, OnChanges, OnInit {
    hostElement: ElementRef;
    filterEnabled: boolean;
    highlightColor: string;
    highlightTextColor: string;
    left: number;
    multiple: boolean;
    notFoundMsg: string;
    optionList: OptionList;
    isBelow: boolean;
    top: number;
    width: number;
    placeholder: string;
    optionTemplate: TemplateRef<any>;
    optionClicked: EventEmitter<Option>;
    optionsListClick: EventEmitter<null>;
    singleFilterClick: EventEmitter<null>;
    singleFilterFocus: EventEmitter<null>;
    singleFilterInput: EventEmitter<string>;
    singleFilterKeydown: EventEmitter<any>;
    filterInput: any;
    optionsList: any;
    disabledColor: string;
    disabledTextColor: string;
    constructor(hostElement: ElementRef);
    /** Event handlers. **/
    ngOnInit(): void;
    ngOnChanges(changes: any): void;
    ngAfterViewInit(): void;
    onOptionsListClick(): void;
    onSingleFilterClick(): void;
    onSingleFilterInput(event: any): void;
    onSingleFilterKeydown(event: any): void;
    onSingleFilterFocus(): void;
    onOptionsWheel(event: any): void;
    onOptionMouseover(option: Option): void;
    onOptionClick(option: Option): void;
    /** Initialization. **/
    private optionsReset;
    /** View. **/
    getOptionStyle(option: Option): any;
    moveHighlightedIntoView(): void;
    private handleOptionsWheel;
    static ɵfac: i0.ɵɵFactoryDeclaration<SelectDropdownComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SelectDropdownComponent, "select-dropdown", never, { "filterEnabled": { "alias": "filterEnabled"; "required": false; }; "highlightColor": { "alias": "highlightColor"; "required": false; }; "highlightTextColor": { "alias": "highlightTextColor"; "required": false; }; "left": { "alias": "left"; "required": false; }; "multiple": { "alias": "multiple"; "required": false; }; "notFoundMsg": { "alias": "notFoundMsg"; "required": false; }; "optionList": { "alias": "optionList"; "required": false; }; "isBelow": { "alias": "isBelow"; "required": false; }; "top": { "alias": "top"; "required": false; }; "width": { "alias": "width"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "optionTemplate": { "alias": "optionTemplate"; "required": false; }; }, { "optionClicked": "optionClicked"; "optionsListClick": "optionsListClick"; "singleFilterClick": "singleFilterClick"; "singleFilterFocus": "singleFilterFocus"; "singleFilterInput": "singleFilterInput"; "singleFilterKeydown": "singleFilterKeydown"; }, never, never, false, never>;
}
